Value editor for text input. Depending on type are four versions:

- `text`

  Common text input.

- `textarea`

  Textarea value editor.

- `rich-textarea`.

  ACE editor.

Supported options: TextValueEditorOptions

Supported validations: TextValueEditorValidations

## Dependencies

- ngModel.NgModelController
- kpValueEditor

## Usage

    <text-value-editor>
    </text-value-editor>

## Example

    <main>
         <kp-value-editor type="'text'" ng-model="model"></kp-value-editor>
         <div>{{model}}</div>
    </main>

    angular.module('textValueEditorExample', ['angularjs-value-editor']);